package com.vendor.loader.ui;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.controler.GlobleControler;
import com.vendor.loader.struct.FileSystem;
import com.vendor.loader.struct.FlashType;
import com.vendor.loader.struct.UpgradeFileInfo;
import com.vendor.loader.ui.AbstractComposite;
import com.vendor.loader.util.StringUtil;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.PlatformUI;

class ViewLabelProvider extends LabelProvider implements ITableLabelProvider {
  public String getColumnText(Object obj, int index) {
    UpgradeFileInfo info = (UpgradeFileInfo)obj;
    if (GlobleControler.intance.is64Bit()) {
      String name;
      int version;
      int verify;
      FlashType flashType;
      FileSystem fileSystem;
      switch (index) {
        case 1:
          name = info.getPartitionName();
          return (name == null) ? "" : name;
        case 2:
          version = info.getPartitionVersion();
          return StringUtil.toHexString(version, 0);
        case 3:
          verify = info.getPartitionVerifyTag();
          return String.valueOf(verify);
        case 5:
          flashType = info.getFlashType();
          return (flashType == null) ? "" : flashType.name();
        case 6:
          fileSystem = info.getFileSystem();
          return (fileSystem == null) ? "" : fileSystem.name();
        case 7:
          return AbstractComposite.this.getChipList()[info.getFlashIndex() & 0xFFFF];
        case 8:
          return StringUtil.convertUnit(info.getStartAddress());
        case 9:
          if (info.getLength() == -1L)
            return "-"; 
          return StringUtil.convertUnit(info.getLength());
        case 4:
          return (info.getFileName() == null) ? "" : info.getFileName();
      } 
    } else {
      FlashType flashType;
      FileSystem fileSystem;
      switch (index) {
        case 2:
          flashType = info.getFlashType();
          return (flashType == null) ? "" : flashType.name();
        case 3:
          fileSystem = info.getFileSystem();
          return (fileSystem == null) ? "" : fileSystem.name();
        case 4:
          return AbstractComposite.this.getChipList()[info.getFlashIndex() & 0xFFFF];
        case 5:
          return StringUtil.convertUnit(info.getStartAddress());
        case 6:
          if (info.getLength() == -1L)
            return "-"; 
          return StringUtil.convertUnit(info.getLength());
        case 1:
          return (info.getFileName() == null) ? "" : info.getFileName();
      } 
    } 
    return "";
  }
  
  public Image getColumnImage(Object obj, int index) {
    return null;
  }
  
  public Image getImage(Object obj) {
    return PlatformUI.getWorkbench().getSharedImages()
      .getImage("IMG_OBJ_ELEMENTS");
  }
}
